cooldude7273

Well-Known Member
Jan 11, 2004
357
0
166
Roswell, GA
Your 1a should actually go at the end - and I have no idea why they have you doing it that way - cPanel has already publicly posted their own way of doing it.
 

lamp

Well-Known Member
Dec 22, 2003
111
0
166
Can I safely delete the perl588 installer folder

After having installed perl 5.8.8 can I safely delete the /root/perl588installer folder? It's taking up a lot of space.

Thanks for the info.
 

DusX

Member
Feb 19, 2005
13
0
151
OK, so I am a rather newbie.. and I am lost from the start here since I don't know how to do the initial update, can anyone tell me how to start? I have recieved the email with the link to the new perl installer.. but don't know how to start the install.

thanks in advance
 

Fernis

Well-Known Member
Oct 28, 2006
192
1
168
Log in as root in SSH and past in the follwing text....

cd /
wget http://layer1.cpanel.net/perl588installer.tar.gz
tar -xvzf perl588installer.tar.gz
cd ./perl588installer
./install
cd /
rm -rf ./perl588installer
rm ./perl588installer.tar.gz
rm -f /home/*/.cpanel-datastore/_usr_bin_perl_-v
/scripts/upcp --force
 

Skin

Well-Known Member
Feb 3, 2006
93
4
158
Italy
....
Code:
cd /
wget http://layer1.cpanel.net/perl588installer.tar.gz
tar -xvzf perl588installer.tar.gz
cd ./perl588installer
./install
cd /
rm -rf ./perl588installer
rm ./perl588installer.tar.gz
rm -f /home/*/.cpanel-datastore/_usr_bin_perl_-v
/scripts/upcp --force
.....
Just upgraded now, thanks it works.
 

DusX

Member
Feb 19, 2005
13
0
151
Thanks Fernis

the instructions are great.
I have a problem though.
I get this error from wget:

/usr/bin/wget is not executable! Please check your installation.
or
/usr/bin/wget: Permission denied

what can I do about this?


I have logged in and SU to root.
 
Last edited:

activeforce

Member
Feb 19, 2004
21
0
151
USA
cPanel Access Level
DataCenter Provider
Hello,

I have this one account that is still showing wrong perl version info, all other account are showing 5.8.8 does anyone know how to fix this? i have done:

rm -f /home/*/.cpanel-datastore/_usr_bin_perl_-v
rm -f /home2/*/.cpanel-datastore/_usr_bin_perl_-v
and rm -f /home/the_user_account/.cpanel-datastore/_usr_bin_perl_-v

but it is still showing the wrong version!

If anyone know how to fix this for this one particular account let me know!

Thank you,
 

P_W

Active Member
Oct 7, 2003
43
0
156
I keep getting messages like the following during the install:


Code:
--23:47:43--  http://1.42/
  (try: 8) => `-'
Connecting to 1.42|1.0.0.42|:80... failed: Connection timed out.
1.42?!?

Oookay... any ideas?
 

P_W

Active Member
Oct 7, 2003
43
0
156
Here's what shows up before the wierd wget statements:

Code:
Fetching with LWP:
  http://mirror.hyperian.net/CPAN/authors/id/P/PM/PMQS/Compress-Zlib [-] 1.42 [.] tar.gz

LWP failed with code[404] message[Not Found]


Trying with "/usr/bin/wget -O /home/.cpan/sources/authors/id/P/PM/PMQS/Compress-Zlib [-] 1.42 [.] tar.tmp6152" to get
    http://mirror.hyperian.net/CPAN/authors/id/P/PM/PMQS/Compress-Zlib [-] 1.42 [.] tar.gz


http://[-]: Invalid IPv6 numeric address.
...so I'm, guessing it's pulling the 1.42 from the 1.42 in the second to last line. Sounds like an installer bug?
 

apogee

Well-Known Member
Nov 8, 2004
122
11
168
Europe
cPanel Access Level
DataCenter Provider
u can solve this problem very easy, just edit /root/.cpcpan/modules.versions and remove "Compress::Zlib=1.42" then run again /scripts/perlinstaller --force Compress::Zlib and it works
 

oderland

Well-Known Member
PartnerNOC
Dec 30, 2002
103
0
166
Kungsbacka, Sweden
just did the cpanel 11 and perl upgrade. Some of the .pl scripts does not work. Those files are downloadable thru web browser.

httpp.conf file has
AddHandler cgi-script .cgi .pl

Did upcp/perl 5.8.8 upgrade apache reinstall allready and updated perl modulles...


Help :-(
 
Last edited:

Dale S

Member
Sep 3, 2004
18
0
151
E-mail quit after upgrade

Upgraded to Pearl 5.8.8 last night. About an hour after the upgrade the e-mail quit. If I send and receive using outlook or webmail it appears to work. Mail in the outbox appears to go out and nothing is received. I get no errors. The sent e-mail is not received by the other server (sent an e-mail to a Hotmail acct) and e-mail sent to our server is also not received. We are also running mailwatch. Mailwatch shows no e-mail going in or out for the last 8 hours. Any help is appreciated.

Thanks
 

twlove

Registered
May 6, 2004
3
0
151
Upgraded to Pearl 5.8.8 last night. About an hour after the upgrade the e-mail quit. If I send and receive using outlook or webmail it appears to work. Mail in the outbox appears to go out and nothing is received. I get no errors. The sent e-mail is not received by the other server (sent an e-mail to a Hotmail acct) and e-mail sent to our server is also not received. We are also running mailwatch. Mailwatch shows no e-mail going in or out for the last 8 hours. Any help is appreciated.

Thanks
mail wrote
On linux based systems, you should be able to update Perl using
the installer provided at layer1.cpanel.net:

cd /root
wget http://layer1.cpanel.net/perl588installer.tar.gz
tar -zxf perl588installer.tar.gz
cd perl588installer
./install


perl -MCPAN -e 'install Bundle::Snapshot_2007_08_16_00'
system ask me "Please tell me where I can find your apache src [../apache_1.3.xx/src]"

where "apache src" ?
 
Last edited:

eriksp

Registered
Dec 2, 2005
1
0
151
mail wrote
perl -MCPAN -e 'install Bundle::Snapshot_2007_08_16_00'
system ask me "Please tell me where I can find your apache src [../apache_1.3.xx/src]"

where "apache src" ?
I'm in the same boat. I've been hunting around for it and can't find it. Near as I can tell, the cpanel script to rebuild apache actually downloads a new copy of the source, not sure if it leaves anything behind though when its done, or where to find it.
 

OCX

Well-Known Member
Sep 20, 2003
231
0
166
did you forget how to use "locate?

locate ocate /apache_1.3.37/src

if you get a db error just run "updatedb"
then run

locate /apache_1.3.37/src


btrw
/home/cpins/installd/buildapache/apache_1.3.37/src/
 

roba

Member
Jan 20, 2004
12
0
151
Prague, CZ
cPanel Access Level
Root Administrator
I can't find 1.3.37 source on my server, it seems there is 1.3.36 in /home/cpins/installd/buildapache/ (however the server is running 1.3.37).

I think the script only asks for Apache src path when re-building mod_perl, which doesn't seem to be required (WHM says: "Perl Module (not required to run .cgi scripts/not compatible with php) (Version 1.29)" and default is unchecked in Apache update function).

I did Perl update on one server, question for Apache src timeouted while I was googling for answer and everything seems to be running and Perl is updated. I don't know what happend to mod_perl though. :confused:

I need to run Perl update on another server, so I am waiting for some information on this subject... should I just download Apache 1.3.37 source and put it somewhere?
 

sp3ctre

Registered
Oct 16, 2003
1
0
151
I can't find 1.3.37 source on my server, it seems there is 1.3.36 in /home/cpins/installd/buildapache/ (however the server is running 1.3.37).

I think the script only asks for Apache src path when re-building mod_perl, which doesn't seem to be required (WHM says: "Perl Module (not required to run .cgi scripts/not compatible with php) (Version 1.29)" and default is unchecked in Apache update function).

I did Perl update on one server, question for Apache src timeouted while I was googling for answer and everything seems to be running and Perl is updated. I don't know what happend to mod_perl though. :confused:

I need to run Perl update on another server, so I am waiting for some information on this subject... should I just download Apache 1.3.37 source and put it somewhere?
I had exactly the same thing happen to me... perl seems to be on 5.8.8 and the checkpackages seem ok too... just waiting to see if we need od_perl :S
 

littlebit

Registered
Mar 25, 2007
1
0
151
I've never worked with SSH before and don't know the command to login as root. :eek:
I've figured out to use Terminal on my Mac OS X , but have no clue what to enter in order to even connect to my server so I can make it to the upgrade commands.
Could someone help me out getting started? :)